<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/expansionstring.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d8b/a00821_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionstring.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d8b/a00821.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionString.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/dee/a04366.html">ExpansionString</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#a0940eb87b2d984e897a90c7349eeec99">   15</a></span>    <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../da/dee/a04366.html#a0940eb87b2d984e897a90c7349eeec99">ZERO_WIDTH_SPACE</a> = <span class="stringliteral">&quot;​&quot;</span>; <span class="comment">//! This may look like an empty string, but it is not. It&#39;s a zero-width space as UTF-8;</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#a60758ff34b690f605448fb74b1718b6a">   17</a></span>    <span class="keyword">static</span> ref map&lt;string, int&gt; <a class="code hl_variable" href="../../da/dee/a04366.html#a60758ff34b690f605448fb74b1718b6a">s_ToAscii</a> = <span class="keyword">new</span> map&lt;string, int&gt;;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#af4a03e80925a0a6a1b7b748588af7170">   19</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../da/dee/a04366.html#af4a03e80925a0a6a1b7b748588af7170">m_String</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#a5bf03459c4fc39cc6272990af3ae25e3">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dee/a04366.html#a5bf03459c4fc39cc6272990af3ae25e3">ExpansionString</a>(<span class="keywordtype">string</span> str)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../da/dee/a04366.html#af4a03e80925a0a6a1b7b748588af7170">m_String</a> = str;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#ab3d6c412772cb1fa6096b7ce0adf5709">   26</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/dee/a04366.html#ab3d6c412772cb1fa6096b7ce0adf5709">Get</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/dee/a04366.html#af4a03e80925a0a6a1b7b748588af7170">m_String</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#a6796a22393de38b0795d6ad6cafcf609">   31</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/dee/a04366.html#a6796a22393de38b0795d6ad6cafcf609">StartsWith</a>(<span class="keywordtype">string</span> prefix)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/dee/a04366.html#af4a03e80925a0a6a1b7b748588af7170">m_String</a>.IndexOf(prefix) == 0;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#ab9dbbc6e0a584623fe71196ee0f7819b">   36</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/dee/a04366.html#ab9dbbc6e0a584623fe71196ee0f7819b">EndsWith</a>(<span class="keywordtype">string</span> suffix)</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordtype">int</span> suffixLength = suffix.Length();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/dee/a04366.html#af4a03e80925a0a6a1b7b748588af7170">m_String</a>.Length() &lt; suffixLength)</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/dee/a04366.html#af4a03e80925a0a6a1b7b748588af7170">m_String</a>.IndexOf(suffix) == <a class="code hl_variable" href="../../da/dee/a04366.html#af4a03e80925a0a6a1b7b748588af7170">m_String</a>.Length() - suffixLength;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#a8e847670866366a46d94b760a123173e">   44</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/dee/a04366.html#a8e847670866366a46d94b760a123173e">Equals</a>(<span class="keywordtype">string</span> cmp)</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/dee/a04366.html#af4a03e80925a0a6a1b7b748588af7170">m_String</a> == cmp;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#ad60591db4c8b62ebb9919f4a91a9e128">   49</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/dee/a04366.html#ad60591db4c8b62ebb9919f4a91a9e128">EqualsCaseInsensitive</a>(<span class="keywordtype">string</span> cmp)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordtype">string</span> str = <a class="code hl_variable" href="../../da/dee/a04366.html#af4a03e80925a0a6a1b7b748588af7170">m_String</a>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        str.ToLower();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        cmp.ToLower();</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">return</span> str == cmp;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment"></span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="comment">    //! Reimplement LastIndexOf (vanilla string.LastIndexOf is broken...)</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#a0540cf214f9691ebda4fba60010241a0">   58</a></span><span class="comment"></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/dee/a04366.html#a0540cf214f9691ebda4fba60010241a0">LastIndexOf</a>(<span class="keywordtype">string</span> sample)</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordtype">int</span> idx = -1;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordtype">int</span> lastIdx = -1;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">while</span> (<span class="keyword">true</span>)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            idx = <a class="code hl_variable" href="../../da/dee/a04366.html#af4a03e80925a0a6a1b7b748588af7170">m_String</a>.IndexOfFrom(idx + 1, sample);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <span class="keywordflow">if</span> (idx &gt; -1)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                lastIdx = idx;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">return</span> lastIdx;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="comment"></span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="comment">    //! Reimplement ToAscii (vanilla string.ToAscii is broken...)</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#a00a2652a21a64ad842558c5754ef1ebf">   74</a></span><span class="comment"></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/dee/a04366.html#a00a2652a21a64ad842558c5754ef1ebf">ToAscii</a>()</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/dee/a04366.html#a00a2652a21a64ad842558c5754ef1ebf">ToAscii</a>(<a class="code hl_variable" href="../../da/dee/a04366.html#af4a03e80925a0a6a1b7b748588af7170">m_String</a>[0]);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#a728145cec88e7a160488c3b439ed2ce3">   79</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/dee/a04366.html#a728145cec88e7a160488c3b439ed2ce3">ToAscii</a>(<span class="keywordtype">string</span> character)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">if</span> (!character)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../da/dee/a04366.html#a60758ff34b690f605448fb74b1718b6a">s_ToAscii</a>.Count())</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; 256; i++)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                <a class="code hl_variable" href="../../da/dee/a04366.html#a60758ff34b690f605448fb74b1718b6a">s_ToAscii</a>.Insert(i.AsciiToString(), i);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/dee/a04366.html#a60758ff34b690f605448fb74b1718b6a">s_ToAscii</a>.Get(character[0]);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="comment"></span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span><span class="comment">    /**</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span><span class="comment">     * @brief Removes the first character from the string</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="comment">     * </span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span><span class="comment">     * @param str input string</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span><span class="comment">     * </span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span><span class="comment">     * @return a copy of str with the first character removed</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span><span class="comment">     */</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#a37b35e3506bfcf2d20b5338c51758321">  102</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/dee/a04366.html#a37b35e3506bfcf2d20b5338c51758321">RemoveFirstChar</a>( <span class="keywordtype">string</span> str ) </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">return</span> str.Substring( 1, str.Length() - 1 );</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span><span class="comment"></span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span><span class="comment">    /**</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="comment">     * @brief Removes the last character from the string</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span><span class="comment">     * </span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span><span class="comment">     * @param str input string</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span><span class="comment">     * </span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span><span class="comment">     * @return a copy of str with the last character removed</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span><span class="comment">     */</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#ae47e31fc69e803b86d40900429557fda">  114</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/dee/a04366.html#ae47e31fc69e803b86d40900429557fda">RemoveLastChar</a>( <span class="keywordtype">string</span> str ) </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">return</span> str.Substring( 0, str.Length() - 1 );</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../da/dee/a04366.html#a27b7f32ee011adde9187079efee8cf0d">  119</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/dee/a04366.html#a27b7f32ee011adde9187079efee8cf0d">JoinStrings</a>(TStringArray strings, <span class="keywordtype">string</span> glue = <span class="stringliteral">&quot;, &quot;</span>)</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="keywordtype">string</span> output = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; strings.Count(); i++)</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            <span class="keywordflow">if</span> (glue &amp;&amp; output)</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>                output += glue;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            output += strings[i];</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">return</span> output;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>}</div>
<div class="ttc" id="aa04366_html"><div class="ttname"><a href="../../da/dee/a04366.html">ExpansionString</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00013">expansionstring.c:14</a></div></div>
<div class="ttc" id="aa04366_html_a00a2652a21a64ad842558c5754ef1ebf"><div class="ttname"><a href="../../da/dee/a04366.html#a00a2652a21a64ad842558c5754ef1ebf">ExpansionString::ToAscii</a></div><div class="ttdeci">int ToAscii()</div><div class="ttdoc">Reimplement ToAscii (vanilla string.ToAscii is broken...)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00074">expansionstring.c:74</a></div></div>
<div class="ttc" id="aa04366_html_a0540cf214f9691ebda4fba60010241a0"><div class="ttname"><a href="../../da/dee/a04366.html#a0540cf214f9691ebda4fba60010241a0">ExpansionString::LastIndexOf</a></div><div class="ttdeci">int LastIndexOf(string sample)</div><div class="ttdoc">Reimplement LastIndexOf (vanilla string.LastIndexOf is broken...)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00058">expansionstring.c:58</a></div></div>
<div class="ttc" id="aa04366_html_a0940eb87b2d984e897a90c7349eeec99"><div class="ttname"><a href="../../da/dee/a04366.html#a0940eb87b2d984e897a90c7349eeec99">ExpansionString::ZERO_WIDTH_SPACE</a></div><div class="ttdeci">const string ZERO_WIDTH_SPACE</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00015">expansionstring.c:15</a></div></div>
<div class="ttc" id="aa04366_html_a27b7f32ee011adde9187079efee8cf0d"><div class="ttname"><a href="../../da/dee/a04366.html#a27b7f32ee011adde9187079efee8cf0d">ExpansionString::JoinStrings</a></div><div class="ttdeci">static string JoinStrings(TStringArray strings, string glue=&quot;, &quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00119">expansionstring.c:119</a></div></div>
<div class="ttc" id="aa04366_html_a37b35e3506bfcf2d20b5338c51758321"><div class="ttname"><a href="../../da/dee/a04366.html#a37b35e3506bfcf2d20b5338c51758321">ExpansionString::RemoveFirstChar</a></div><div class="ttdeci">static string RemoveFirstChar(string str)</div><div class="ttdoc">Removes the first character from the string.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00102">expansionstring.c:102</a></div></div>
<div class="ttc" id="aa04366_html_a5bf03459c4fc39cc6272990af3ae25e3"><div class="ttname"><a href="../../da/dee/a04366.html#a5bf03459c4fc39cc6272990af3ae25e3">ExpansionString::ExpansionString</a></div><div class="ttdeci">void ExpansionString(string str)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00021">expansionstring.c:21</a></div></div>
<div class="ttc" id="aa04366_html_a60758ff34b690f605448fb74b1718b6a"><div class="ttname"><a href="../../da/dee/a04366.html#a60758ff34b690f605448fb74b1718b6a">ExpansionString::s_ToAscii</a></div><div class="ttdeci">static ref map&lt; string, int &gt; s_ToAscii</div><div class="ttdoc">This may look like an empty string, but it is not. It's a zero-width space as UTF-8;.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00017">expansionstring.c:17</a></div></div>
<div class="ttc" id="aa04366_html_a6796a22393de38b0795d6ad6cafcf609"><div class="ttname"><a href="../../da/dee/a04366.html#a6796a22393de38b0795d6ad6cafcf609">ExpansionString::StartsWith</a></div><div class="ttdeci">bool StartsWith(string prefix)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00031">expansionstring.c:31</a></div></div>
<div class="ttc" id="aa04366_html_a728145cec88e7a160488c3b439ed2ce3"><div class="ttname"><a href="../../da/dee/a04366.html#a728145cec88e7a160488c3b439ed2ce3">ExpansionString::ToAscii</a></div><div class="ttdeci">static int ToAscii(string character)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00079">expansionstring.c:79</a></div></div>
<div class="ttc" id="aa04366_html_a8e847670866366a46d94b760a123173e"><div class="ttname"><a href="../../da/dee/a04366.html#a8e847670866366a46d94b760a123173e">ExpansionString::Equals</a></div><div class="ttdeci">bool Equals(string cmp)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00044">expansionstring.c:44</a></div></div>
<div class="ttc" id="aa04366_html_ab3d6c412772cb1fa6096b7ce0adf5709"><div class="ttname"><a href="../../da/dee/a04366.html#ab3d6c412772cb1fa6096b7ce0adf5709">ExpansionString::Get</a></div><div class="ttdeci">string Get()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00026">expansionstring.c:26</a></div></div>
<div class="ttc" id="aa04366_html_ab9dbbc6e0a584623fe71196ee0f7819b"><div class="ttname"><a href="../../da/dee/a04366.html#ab9dbbc6e0a584623fe71196ee0f7819b">ExpansionString::EndsWith</a></div><div class="ttdeci">bool EndsWith(string suffix)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00036">expansionstring.c:36</a></div></div>
<div class="ttc" id="aa04366_html_ad60591db4c8b62ebb9919f4a91a9e128"><div class="ttname"><a href="../../da/dee/a04366.html#ad60591db4c8b62ebb9919f4a91a9e128">ExpansionString::EqualsCaseInsensitive</a></div><div class="ttdeci">bool EqualsCaseInsensitive(string cmp)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00049">expansionstring.c:49</a></div></div>
<div class="ttc" id="aa04366_html_ae47e31fc69e803b86d40900429557fda"><div class="ttname"><a href="../../da/dee/a04366.html#ae47e31fc69e803b86d40900429557fda">ExpansionString::RemoveLastChar</a></div><div class="ttdeci">static string RemoveLastChar(string str)</div><div class="ttdoc">Removes the last character from the string.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00114">expansionstring.c:114</a></div></div>
<div class="ttc" id="aa04366_html_af4a03e80925a0a6a1b7b748588af7170"><div class="ttname"><a href="../../da/dee/a04366.html#af4a03e80925a0a6a1b7b748588af7170">ExpansionString::m_String</a></div><div class="ttdeci">protected string m_String</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8b/a00821_source.html#l00019">expansionstring.c:19</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_f7c621fee0a2c32a175ba0589ac46b9f.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_9ddfc87c5f9b9fe1ae81092761181e6d.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../d6/d8b/a00821.html">expansionstring.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
